Zum Inhalt

Get itemDistributionChannel

Retrieve the properties and relationships of a distribution channel object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemDistributionChannelsKTG({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemDistributionChannel object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemDistributionChannelsKTG({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "e8004092-9367-ea11-8ea7-ec86974874cc",
    "itemNo": "90060",
    "variantCode": "",
    "responsibilityCenter": "",
    "distributionChannelCode": "SHOP",
    "itemDescription": "Damen Lederjacke Campus",
    "itemDescription2": "",
    "defaultItemDescription": false,
    "statusCode": "AKTIV",
    "referenceNo": "",
    "endingDate": "0001-01-01",
    "startDate": "0001-01-01",
    "deliveryTimeInDays": 0
}

See also

Tips for working with the APIs
itemDistributionChannel